Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in openafs
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in openafs
ID: openSUSE-SU-2019:2607-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.1
Datum: Mo, 2. Dezember 2019, 10:21
Referenzen: Keine Angabe
Applikationen: OpenAFS

Originalnachricht

   openSUSE Security Update: Recommended update for openafs
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:2607-1
Rating: moderate
References:
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that contains security fixes can now be installed.

Description:

This update for openafs fixes the following issues:

Update to security-release 1.8.5, adresses:

* OPENAFS-SA-2019-001: Skip server OUT args on error
* OPENAFS-SA-2019-002: Zero all server RPC args
* OPENAFS-SA-2019-003: ubik: Avoid unlocked ubik_currentTrans deref

update to official version 1.8.4

* support Linux-kernel 5.3
* Avoid non-dir ENOENT errors in afs_lookup
* fix parsing of fileservers with -vlruthresh, etc.
* other bugfixes

update to pre-release 1.8.4pre2

* fix builds for Linux-kernels 5.3

update to 1.8.3

- fix broken directory layout
- allow crypt to be set/unset on startup of client

update to pre-release 1.8.3pre1

* fix builds for Linux-kernels 4.20 and 5.0
* other fixes, see RELNOTES-1.8.3pre1


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2019-2607=1



Package List:

- openSUSE Leap 15.1 (x86_64):

openafs-1.8.5-lp151.2.3.1
openafs-authlibs-1.8.5-lp151.2.3.1
openafs-authlibs-debuginfo-1.8.5-lp151.2.3.1
openafs-authlibs-devel-1.8.5-lp151.2.3.1
openafs-client-1.8.5-lp151.2.3.1
openafs-client-debuginfo-1.8.5-lp151.2.3.1
openafs-debuginfo-1.8.5-lp151.2.3.1
openafs-debugsource-1.8.5-lp151.2.3.1
openafs-devel-1.8.5-lp151.2.3.1
openafs-devel-debuginfo-1.8.5-lp151.2.3.1
openafs-fuse_client-1.8.5-lp151.2.3.1
openafs-fuse_client-debuginfo-1.8.5-lp151.2.3.1
openafs-kernel-source-1.8.5-lp151.2.3.1
openafs-kmp-default-1.8.5_k4.12.14_lp151.28.32-lp151.2.3.1
openafs-kmp-default-debuginfo-1.8.5_k4.12.14_lp151.28.32-lp151.2.3.1
openafs-server-1.8.5-lp151.2.3.1
openafs-server-debuginfo-1.8.5-lp151.2.3.1


References:


--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung